using EVCB_OCPP.Packet.Messages.Security;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.Security
{
    public class SecurityEventNotificationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.SecurityEventNotification.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(SecurityEventNotificationConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(SecurityEventNotificationRequest);
        }
    }
}
